Subject: Re: bug#6592: 24.0.50; Fringe at scroll bar side is wider (sometimes).

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Mon, 12 Jul 2010 09:26:50 +0900

>>>>> On Sun, 11 Jul 2010 10:15:54 +0200, Jan Djärv <[email-masked]> said:

> However, I think that scroll bars at the frame level (i.e. left or
> right edge of the frame) don't need any padding.  It is only on
> other window scroll bars that padding is needed, to keep integral
> column width.

Even for a leftmost/rightmost scroll bar, some adjustment is necessary
if its width/position is configured differently from what the frame
parameter specifies (scroll bar width/position can be specified per
frame, per buffer, and per window).  Perhaps the current fringe
background extension code can be reused for such cases.

> I'll try something based on that.

Good luck!

				     YAMAMOTO Mitsuharu
				[email-masked]